# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetProductArrayInfo

Function

Returns the number of terms and the terms of a Product Array.

Syntax
`
#include <dx/dx.h>
`

ProductArray DXGetProductArrayInfo(ProductArray a, int *n, Array *terms)

Functional Details

If `n` is not `NULL`, this routine returns in `*n` the number of terms in the product `a`. If `terms` is not `NULL`, it returns in `*terms` the terms of the product.

Product Arrays provide a compact method for specifying regular and partially regular "positions" components. In their simplest form, a regular n-dimensional grid may be defined by combining n Regular Arrays, each of which specifies a set of points along some n-dimensional delta vector. Partially regular "positions" components may be specified compactly by combining regular and irregular terms.

`DXGetProductArrayInfo` allows access to the constituent terms of the Product Array and is useful in cases where the terms may be handled independently, or when knowledge of the separate terms make it possible to process the Product Array without expansion. Array handles also provide a mechanism to access individual elements of a Product Array without expansion.

Return Value

Returns `a` or returns `NULL` and sets an error code.

See Also

`DXCreateArrayHandle, DXNewProductArray, DXNewProductArrayV, DXQueryGridPositions`

"Product Arrays".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]